package flm.b4a.googleplay;

import anywheresoftware.b4a.BA.ShortName;

import com.google.android.gms.games.snapshot.Snapshot;

@ShortName("GPlaySnapshot")
public class SnapshotWrapper
{
	protected Snapshot _SnSh = null;

	public SnapshotWrapper(Snapshot snapshot)
	{
		_SnSh = snapshot;
	}

	public boolean IsInitialized()
	{
		return _SnSh != null;
	}

	/**
	 * Retrieves the metadata for this snapshot.
	 */
	public SnapshotMetadataWrapper getMetadata()
	{
		return Utils.MetadataWrapperOrNull(_SnSh.getMetadata());
	}

	/**
	 * Retrieves the contents associated with this snapshot. The retrieved object, if not Null, can be used to update the data of a snapshot.
	 */
	public SnapshotContentsWrapper getSnapshotContents()
	{
		return Utils.ContentsWrapperOrNull(_SnSh.getSnapshotContents());
	}
}
