package flm.b4a.googleplay;

import com.google.android.gms.games.multiplayer.realtime.RealTimeMessage;

import anywheresoftware.b4a.BA;

@BA.ShortName("GPlayRealTimeMessage")
public class RealTimeMessageWrapper
{
	protected RealTimeMessage _RTM;

	public RealTimeMessageWrapper()
	{
		_RTM = null;
	}

	public RealTimeMessageWrapper(RealTimeMessage RTMessage)
	{
		_RTM = RTMessage;
	}

	public boolean IsInitialized()
	{
		return _RTM != null;
	}

	public byte[] getMessageData()
	{
		return _RTM.getMessageData();
	}

	/** Returns the participant ID of the message sender. */
	public String getSenderParticipantId ()
	{
		return _RTM.getSenderParticipantId();
	}

	/** Returns whether this message was sent over a reliable channel. */
	public boolean IsReliable ()
	{
		return _RTM.isReliable();
	}
}
